| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bkernel.cpp File Reference

Program to calculate filter kernels. More...

`#include "rwimg.h"`
`#include "FSI_Kernel.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Program to calculate filter kernels.

Author
  Bernard Heymann

Date
  Created: 20051102
  Modified: 20150910

Definition in file bkernel.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 39 of file bkernel.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bkernel [options] output.krn",
"-----------------------------------",
"Calculates filter kernels.",
"The default kernel just calculates the mean.",
"The different types of kernel are mutually exclusive.",
" ",
"Actions:",
"-gaussian 1.7,8.4 Gaussian kernel with the indicated sigma and maximum.",
"-log 2.5,5 Laplacian of gaussian kernel with the indicated sigma and maximum.",
"-frequency 8,2 Frequency space kernel: width and power.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-size 5,7,9 Size of kernel (voxels).",
" ",
NULL
}

Definition at line 19 of file bkernel.cpp.

## ◆ verbose

int verbose